%global momorel 3

Summary: RPM installer/updater
Name: yum
Version: 2.3.1
Release: %{momorel}m
License: GPL
Group: System Environment/Base
Source0: http://linux.duke.edu/projects/yum/download/2.3/yum-%{version}.tar.gz
NoSource: 0
Source1: yum.conf.momonga
Patch0: yum-2.3.0-momonga.patch
Patch1: yum-2.3.1-sqlite-fix.patch
URL: http://linux.duke.edu/yum/
BuildArchitectures: noarch
BuildRequires: python
BuildRequires: gettext
Obsoletes: yum-phoebe
Requires: python, rpm-python, rpm >= 0:4.1.1, libxml2-python, python-urlgrabber, python-sqlite
Prereq: chkconfig, initscripts, coreutils
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

### include local configuration
%{?include_specopt}
%{?!i686: %global i686 0}

%prep
%setup -q
%patch0 -p1 -b .momonga
%patch1 -p1 -b .sqlite

%build
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/yum.conf

chmod +x $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/yum.cron

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING TODO INSTALL ChangeLog
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/cron.weekly/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum-cli/*
%{_bindir}/yum
%{_bindir}/yum-arch
/usr/lib/python?.?/site-packages/yum
/usr/lib/python?.?/site-packages/repomd
/usr/lib/python?.?/site-packages/rpmUtils
%dir /var/cache/yum
%{_mandir}/man*/*

%changelog
* Sun Apr 24 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.1-3m)
- remove gpgcheck=0 from yum.conf.momonga

* Sun Apr 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.3.1-2m)
- delete kernel* from yum.conf.momonga for update kernel

* Wed Mar 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.3.1-1m)
- up to 2.3.1

* Sat Mar 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.0-2m)
- modify rpmUtils.arch.getBaseArch()
  Same arch as system arch is selected.

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (2.3.0-1m)
- upgrade 2.3.0

* Sat Jan 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (2.0.7-5m)
- default architecture of ix86 is now i686
- use specopt for i586

* Mon Aug  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.7-4m)
- update yum.conf for MomongaLinux1 release

* Sun Jul 18 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.7-3m)
- change yum.conf for momonga linux 1 beta2

* Sun Jul 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.7-2m)
- add patch1 for fix yum.conf

* Thu May 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.0.7-1m)
- 1st release.

* Fri May  7 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.7

* Tue Mar 16 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.6

* Sat Jan 31 2004 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.5

* Sun Oct 19 2003 Seth Vidal <skvidal@phy.duke.edu>
- 2.0.4

* Mon Sep  8 2003 Seth Vidal <skvidal@phy.duke.edu>
- brown paper-bag 2.0.3

* Sun Sep  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0.2

* Fri Aug 15 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0.1

* Sun Jul 13 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 2.0

* Sat Jul 12 2003 Seth Vidal <skvidal@phy.duke.edu>
- made yum.cron config(noreplace)

* Sat Jun  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- add stubs to spec file for rebuilding easily with custom yum.conf and
- yum.cron files

* Sat May 31 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 1.98

* Mon Apr 21 2003 Seth Vidal <skvidal@phy.duke.edu>
- bump to 1.97

* Wed Apr 16 2003 Seth Vidal <skvidal@phy.duke.edu>
- moved to fhs compliance
- ver to 1.96

* Mon Apr  7 2003 Seth Vidal <skvidal@phy.duke.edu>
- updated for 1.95 betaish release
- remove /sbin legacy
- no longer starts up by default
- do the find_lang thing

* Sun Dec 22 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.4
- new spec file for rhl 8.0

* Sun Oct 20 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.3

* Mon Aug 26 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.2

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver to 0.9.1

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped ver  to 0.9.0

* Thu Jul 11 2002 Seth Vidal <skvidal@phy.duke.edu>
- added rpm require

* Sun Jun 30 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.9

* Fri Jun 14 2002 Seth Vidal <skvidal@phy.duke.edu>
- 0.8.7

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.5

* Thu Jun 13 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.4

* Sun Jun  9 2002 Seth Vidal <skvidal@phy.duke.edu>
- bumped to 0.8.2
* Thu Jun  6 2002 Seth Vidal <skvidal@phy.duke.edu>
- First packaging
